/*!
  \file
  \brief URG ポートの探索サンプル

  \author Satofumi KAMIMURA

  $Id: urg_finder.cpp 1528 2009-11-17 23:32:01Z satofumi $
*/

#include "findUrgPorts.h"
#include <SDL.h>
#include <iostream>

using namespace qrk;
using namespace std;


int main(int argc, char *argv[])
{
  static_cast<void>(argc);
  static_cast<void>(argv);

  vector<string> urg_ports;
  size_t n = findUrgPorts(urg_ports);
  cout << n << " urg ports are detected." << endl;

  if (n > 0) {
    for (vector<string>::iterator it = urg_ports.begin();
         it != urg_ports.end(); ++it) {
      cout << *it << endl;
    }
  }

  return 0;
}
